Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus

From: Michael Heerdegen <[email-masked]>
Date: Tue, 07 Dec 2021 00:01:15 +0100

Eric Abrahamsen <[email-masked]> writes:

> Guess I didn't refresh my memory as fully as I thought! I was still
> remembering this as a summary-line-format issue. I've pushed an
> additional guard onto `gnus-registry-register-message-ids', I expect
> this will fix it.

Works for me, thanks!

Of course the `gnus-registry-article-marks-to-chars' (and the such)
problem remains.

Wouldn't it make sense to replace the `gnus-registry-enabled' checks
with a function call (gnus-registry-enabled-p) that would not only check
the variable but also the existence of the database, just like in your
installed patch?

TIA,

Michael.